#!/bin/sh

set -eu

failed=0
for f in ./tests/test-*.sh; do
    printf '%s' "Running test $f ... "
    if "$f"; then
        echo "succeeded"
    else
        failed=$((failed+1))
        echo "failed"
    fi
done

if [ $failed -ne 0 ]; then
    echo "$failed tests failed"
    exit 1
else
    echo "all succeeded"
    exit 0
fi
